extends Node

var player_mana: int:
	set(value):
		player_mana = value
		player_mana_changed.emit(value)
	get:
		return player_mana
var player_mana_restore: int = 3:
	set(value):
		player_mana_restore = value
		player_mana_restore_changed.emit(value)
	get:
		return player_mana_restore

signal player_mana_changed(to: int)
signal player_mana_restore_changed(to: int)
